Legacy CHEESE API

Embeddings

Suggest an edit
GET
/embeddings

Get embeddings for a list of molecules.

This endpoint allows users to get embeddings for a list of molecules.

Parameters:

  • search_input (List[str]): The input molecules to get embeddings for.
  • search_type (List[str]): The type of embeddings to calculate.
  • save_embs (bool): Whether to save embeddings (default is False)
  • dest (str): Destination path to save the embeddings (default is /tmp/embeddings).

Returns:

  • A JSON response containing the embeddings for the input molecules.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_input?array<string>

Default

[  "CC(=O)Oc1ccccc1C(=O)O",  "CC(=O)Oc1ccccc1C(N)=O",  "CC(=O)Nc1ccccc1C(=O)O"]
search_type?EmbNames

Type of embeddings to calculate

Default"all"

Value in

  • "all"
  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
save_embs?Save Embs

Whether to save embeddings

Defaulttrue
dest?Dest

Destination path

Default"/tmp/embeddings"

Response Body

application/json

application/json

curl -X GET "https://example.com/embeddings"
null